Subject: Re: [ipfix] [issue] INFO-26 Section 7 of info-02 should be reworded

From: "Jeff Meyer" <[email-masked]>
Date: Tue, 27 Jan 2004 23:46:28 -0800

Stewart,

  I feel section 7 describes a departure from the current approach in many 
RFC's to pay limited attention to addressing the information modeling 
aspects of various interchange mechanisms and describes the rationale for 
taking a more focused approach.

  The ability to store collections of information transmitted by IPFIX in an 
existing open format is also benefiicial and simply not addressing it seems 
to increase the likelihood of unnecessary rework.

  Regarding the normative status of the base XML formal definition vs. the 
alternate presentation format provided in section 6, I agree this is an 
issue.  I was awaiting feedback from Andrew Norton who is involved with IANA 
administration of XML namespaces to respond to e-mail.

  I have gotten his response and will post the normative status as a 
separate issue.

Regards,

  Jeff Meyer

>From: Stewart Bryant <[email-masked]>
>Reply-To: [email-masked]
>To: Jeff Meyer <[email-masked]>
>CC: [email-masked]
>Subject: Re: [ipfix] [issue]  INFO-26  Section 7 of info-02 should be 
>reworded
>Date: Tue, 27 Jan 2004 09:41:19 +0000
>
>
>Jeff Meyer wrote:
>>The current section 7 describes in general the benefits of an XML based 
>>information model,
>>some would say too much.  It does not describe any specific applications 
>>of this approach.
>>
>>Specifically the ability to serialize as either XML or binary documents, 
>>collections of received
>>IPFIX flow records is a benefit.  This can be realized with existing open 
>>source tools from
>>IPDR.  Elaborating on how this connection can be established would be 
>>helpful to the
>>community, since persisting collected sets of flows is a common task in 
>>today's netflow
>>deployments.
>>
>>-- Jeff Meyer
>>
>
>Jeff
>
>Section 7 contains no information necessary to implement the protocol
>and should be deleted.
>
>Assuming that we retain Appendix A, a synopsys of section 7 might be
>used in the introduction to that appendix, but I don't think that
>you really needs to say any more than "here is the definition
>in XML".
>
>If you think that an expanded version of section 7 is useful to
>the IETF community, then I think that should go in a seperate
>informational draft.
>
>BTW the current intro to Appendix A says:
>
>"The normative status of this appendix versus the section "Flow
>Attributes" is a point of discussion.  The "Flow Attributes" section
>is simply machine generated from the formal XML document below.  As
>such using the formal XML document would seem preferable.  However
>historical conventions and IETF's overall level of XML adoption may
>lead to selection of the human readable text in the "Flow Attributes"
>section as being preferable as normative."
>
>This needs to be replaced with a simple statement saying either:
>
>a) The text in the numeric sections of this draft/RFC is the
>    normative text,
>
>or
>
>b) The XML desctiption in this appendix is the normative text.
>
>thereby removing any ambigutity of the status of Appendix A.
>
>- Stewart
>
>
>
>
>
>
>
>
>>_________________________________________________________________
>>Find high-speed ‘net deals — comparison-shop your local providers here. 
>>https://broadband.msn.com
>>
>>
>>--
>>Help        mailto:[email-masked] and say "help" in message 
>>body
>>Unsubscribe mailto:[email-masked] and say
>>"unsubscribe ipfix" in message body
>>Archive     http://ipfix.doit.wisc.edu/archive/
>>
>>
>

_________________________________________________________________
Scope out the new MSN Plus Internet Software — optimizes dial-up to the max! 
   http://join.msn.com/?pgmarket=en-us&page=byoa/plus&ST=1

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/